﻿/****NEW******/
.StreetGuide_StreetSearch {
    display: flex;
    flex-direction: column;
     /*align-items: center;*/
    row-gap: 1rem; 
}


.sg-search-container {
    display: flex;
    margin-bottom:1rem;
    column-gap:2rem;
}

.sg-container-items-a,
.sg-container-items-b {

}

.sg-container-items-b {

}


.address-result-h2 {
    margin:2.4rem 0 0 0;
}

.option-tab-1, .option-tab-2  {
    background-color: black;
    display:block;
    margin-top: 1.4rem;
    width: 10rem;
    padding: 0.28rem;
    border-radius: 1rem 1rem 0rem 0rem;
    text-align: center;
    font-weight: bold;
    color:white;
    margin-bottom:-0.29rem;
}


.address-result-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width:100%;
    column-gap: 1.2rem;
    justify-content: space-evenly;
    padding-top:0.88em;
}

.alt-row-a {
    background-color: #1f488a;
}

.alt-row-b {
    background-color:#a6c0e1;
}

.address-result-box {
    margin:0 0 1rem 0;
    width:400px;
}

.address-result-label {
    padding:0.20rem;
    text-align: center;
    color:white;
    background-color:#555;
    border-radius: 14px 14px 0 0;
}

.address-result-img-entry {
    max-width: 350px;
    background-color:#6FC049;
    margin-bottom:0px;
}

.address-result-img-entry img {
    max-width: 400px;
}

.address-result-list .lbl-label-entry,
.address-result-list .lbl-label-continuation,
.address-result-list .lbl-label-secondary {
    color:blue;
    text-decoration: underline;
    font-weight: 500;
    display: block;
}

.adresult-list-entry, 
.adresult-list-continuation,
.adresult-list-secondary  {
    max-width:400px;
    padding: 0.48rem;
    width: 400px;
    background-color:#FFE8B7;
    border-bottom:5px solid #F6DFB6;
 }

.adresult-list-continuation {
    background-color:#E4E7F6;
    border-bottom:5px solid #D3D9EF;
}

.adresult-list-secondary {
    background-color:#D8ECD3;
    border-bottom:5px solid #C6E6C1;
}

.adresult-list-entry h4,
.adresult-list-continuation h4,
.adresult-list-secondary h4 {
    display:block;
    font-style: normal;
    color:black;
}

.address-result-list p {
    margin-bottom:3px;
}

.icon-school-level {
    max-width:40px!important;
}

/**** Input boxes ******/
.sg-stnumber, .sg-stname, .sg-btn-search  {
    border:#c5c5c5 1px solid;
    padding:0.28rem;
    width:8.6rem;
    margin-right:-0.88rem;
}

.sg-stname {
    width:26.4rem;
}

.sg-btn-search {
    width:6.4rem;
}


.sg-btn-search  {
    background-color:#056803;
    color:white;
    text-transform: uppercase;
}

div.StreetGuide_Suggestion {
    height: 300px;
    width: 300px;
    padding: 10px;
    background-color: #FFFFCC;
}

div.StreetGuide_ResultTitle {
    font-weight: bold;
    font-size: 1.2em;
    padding-top: 10px;
    padding-bottom: 20px;
}

div.StreetGuide_RecordCount {
    text-align: center;
    font-weight: bold;
}

div.StreetGuide_PagingToggle {
    float: right;
    width: 200px;
}

table.StreetGuide_ResultTop {
}

table.StreetGuide_ResultBottom {
}

tr.StreetGuide_ResultPager td {
    background-color: #FFF;
}

tr.StreetGuide_ResultPager table td {
    padding-top: 10px;
    padding-bottom: 10px;
    border: none;
    font-size: 0.7em;
}

table.StreetGuide_Result tr th {
    font-size: 0.78em;
    padding: 10px 7px;
}

table.StreetGuide_Result tr.StreetGuide_Result_Row {
}

table.StreetGuide_Result tr.StreetGuide_Result_AlternatingRow {
    background-color: #e0e0e0;
}

p.wardbox {
    width: 100px;
    text-align: center;
    float: left;
    background-color: #f2f2f2;
    padding: 10px;
    margin: 10px;
    border: 1px solid #98b3aa;
}

.thHeadStreet {
    background-color: #f2f2f2;
}
.error-star, .error-text  {
    color: #B20113;
}

.error-text, .newline  {
    display: block;
}

@media only screen and (max-width: 1030px) { 

    .sg-search-container {
        display: block;
    }
    
    .sg-container-items-a {
          margin-bottom:1.4rem;
    }

    .sg-container-items-a,
    .sg-container-items-b {
          width:100%;
    }
    
.address-result-container {
    justify-content:left;
    padding-left:0.88rem;
    padding-right:0.88rem;
}

.address-result-box {
    display: flex;
    width:100%;
}
.address-result-img-entry {
    max-width: 17.5rem;
    margin-bottom:0;
}

.adresult-list-entry,
.adresult-list-continuation,
.adresult-list-secondary {
    width:100%;
    max-width:100%;
    padding-left:1rem;
    padding-top:1rem;
}

.address-result-img-entry img {
    width:100%;
    max-width:100%;
}
}


@media only screen and (max-width: 768px) { 
    .StreetGuide_StreetSearch {
      /*  border:1px solid red;  */
    }

    .sg-stnumber, .sg-stname, .sg-btn-search  {
        font-size:0.86rem;
        width:7.8rem;
    }
    
    .sg-stname {
        width:23rem;
    }
    
    .sg-btn-search {
        width:3.9rem;
    }
}


@media only screen and (max-width: 698px){ 
    .sg-search-container {
        float:none;
    }
    
    .address-result-container {
        flex-direction: column;
    }

    .StreetGuide_StreetSearch {
        width: 100%;
        margin: 0 1rem 0 0rem;
    }

    .sg-stnumber, .sg-stname, .sg-btn-search  {
        font-size:0.86rem;
        width:100%;
    }

    .address-result-img-entry,
    .address-result-img-continuation,
    .address-result-img-secondary {
        max-width: 14.5rem;
    }
}


@media only screen and (max-width: 610px){ 
    .address-result-container {
        flex-direction: row;
    }

    .address-result-img-entry,
    .address-result-img-continuation,
    .address-result-img-secondary {
        max-width: 100%;
    }

    .adresult-list-entry,
    .adresult-list-continuation,
    .adresult-list-secondary {
        padding-bottom:1rem;
    }
    
    .address-result-box {
        display:block;
    }
}